<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_c61345ccedc39c197742" . "7766275e2da6" => base64_decode("aW1hZ2VfZ2" . "FsbGVyeQ=="), "_61a5ceb347019e37116d4d29" . "07163b82" => base64_decode("bWF0Y2hf" . "YWxs"), "perm" . "s" => base64_decode("cGVybX" . "M="), "_df945ac2fbdd1576202fb48096eb43" . "f9" => base64_decode("YWRtaW4ucGFuZWxzX2xpc3Q" . "="));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchImage implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\ImageIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_df945ac2fbdd1576202fb" . "48096eb43f9"]}->GetOne($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c61345ccedc39c" . "1977427766275e2" . "da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["per" . "ms"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_61a5ceb" . "347019e3" . "7116d4d2" . "907163b8" . "2"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\ImageView();
    }
}